/* Style variations */

p.is-style-intro {
  font-size: var(--wp--preset--font-size--x-large);
  font-weight: 600;
  line-height: 1.25;
  margin-block-end: 2rem;
}

.wp-block-image:not(.is-style-no-shadow) {
  box-shadow: var(--shadow-size) var(--shadow-size) 0 0
    var(--wp--preset--color--custom-primary);
}

/* Defaults */
.wp-block-details {
  & details {
  }

  & summary {
    position: relative;
    padding: 1rem;
    background-color: var(--wp--preset--color--custom-background-light);
    font-weight: 900;
    font-size: var(--wp--preset--font-size--medium);
    display: flex;
    align-items: center;

    &::-webkit-details-marker {
      display: none;
    }
    &::marker {
      content: '';
    }

    & ~ * {
      padding-inline: 1rem;
    }

    /* Custom icon, right-aligned */
    &::after {
      content: '+';
      color: var(--wp--preset--color--custom-primary);
      font-size: 24px;
      line-height: 0.8;
      text-align: center;
      width: 20px;
      height: 20px;
      margin-left: auto;
      transition: transform 0.2s ease;
      flex-shrink: 0;
      display: inline-block;
    }
  }
  /* Rotate icon when open */
  &[open] summary::after {
    transform: rotate(135deg);
  }
}

ul.wp-block-list,
ol.wp-block-list {
  padding-inline-start: 0;
  list-style-position: inside;
}

ul.wp-block-list {
  list-style-type: square;

  & li::marker {
    color: var(--wp--preset--color--custom-accent);
  }
}
